petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscViewerDestroy

Destroys a PetscViewer.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerDestroy(PetscViewer *viewer)

Collective on PetscViewer

### Input Parameters

| viewer | - the PetscViewer to be destroyed.

### See Also

PetscViewerSocketOpen(), PetscViewerASCIIOpen(), PetscViewerCreate(), PetscViewerDrawOpen()

### Level

beginner

### Location

src/sys/classes/viewer/interface/view.c

### Examples

src/sys/classes/viewer/tutorials/ex1.c.html
src/sys/classes/viewer/tutorials/ex2.c.html
src/sys/classes/viewer/tutorials/ex1f90.F90.html
src/sys/tutorials/ex5.c.html
src/sys/tutorials/ex5f90.F90.html
src/vec/vec/utils/tagger/tutorials/ex1.c.html
src/vec/vec/tutorials/ex3.c.html
src/vec/vec/tutorials/ex5.c.html
src/vec/vec/tutorials/ex6.c.html
src/vec/vec/tutorials/ex10.c.html
src/vec/vec/tutorials/ex15.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages